-- INSERT INTO TypeTags(Type, Tag) VALUES
-- 	('BBG_ABILITY_SALADIN_UNIT_SUPPORT', 'CLASS_GIANT_DEATH_ROBOT'),
-- 	('BBG_ABILITY_SALADIN_UNIT_SUPPORT', 'CLASS_GURU');

-- 05/03/2024 -1 units maintenance cost
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES
     ('BBG_SULTAN_UNITMAINTENANCEDISCOUNT', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
     ('BBG_SULTAN_UNITMAINTENANCEDISCOUNT', 'Amount', '1');
 INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
     ('TRAIT_LEADER_SALADIN_ALT', 'BBG_SULTAN_UNITMAINTENANCEDISCOUNT');


-- 28/03/25 Rework Units get +5 combat strength if they are within 1 tile of an apostle.
-- Can buy encampment and campus buildings with faith at a 10% discount 
-- (delete old flanking/support ability)
DELETE FROM TraitModifiers WHERE TraitType='TRAIT_LEADER_SALADIN_ALT' AND ModifierId='SALADIN_ALT_FLANKING_ABILITY';

-- Can buy encampment and campus buildings
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES
     ('BBG_SULTAN_JESUIT_ENCAMPMENT', 'MODIFIER_PLAYER_CITIES_ENABLE_BUILDING_FAITH_PURCHASE'),
     ('BBG_SULTAN_JESUIT_CAMPUS', 'MODIFIER_PLAYER_CITIES_ENABLE_BUILDING_FAITH_PURCHASE');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
     ('BBG_SULTAN_JESUIT_ENCAMPMENT', 'DistrictType', 'DISTRICT_ENCAMPMENT'),
     ('BBG_SULTAN_JESUIT_CAMPUS', 'DistrictType', 'DISTRICT_CAMPUS');
 INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
     ('TRAIT_LEADER_SALADIN_ALT', 'BBG_SULTAN_JESUIT_ENCAMPMENT'),
     ('TRAIT_LEADER_SALADIN_ALT', 'BBG_SULTAN_JESUIT_CAMPUS');

--  with faith at a 10% discount
INSERT INTO Modifiers (ModifierId, ModifierType)
     SELECT 'BBG_SULTAN_CHEAPER_PURCHASE_' || b.BuildingType, 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PURCHASE_COST' 
    FROM Buildings b LEFT JOIN BuildingReplaces br ON b.BuildingType = br.CivUniqueBuildingType WHERE b.PrereqDistrict IN ('DISTRICT_CAMPUS', 'DISTRICT_ENCAMPMENT') AND br.CivUniqueBuildingType IS NULL;
INSERT INTO ModifierArguments(ModifierId, Name, Value)
    SELECT 'BBG_SULTAN_CHEAPER_PURCHASE_' || b.BuildingType, 'BuildingType', b.BuildingType 
    FROM Buildings b LEFT JOIN BuildingReplaces br ON b.BuildingType = br.CivUniqueBuildingType WHERE b.PrereqDistrict IN ('DISTRICT_CAMPUS', 'DISTRICT_ENCAMPMENT') AND br.CivUniqueBuildingType IS NULL;
INSERT INTO ModifierArguments(ModifierId, Name, Value)
    SELECT 'BBG_SULTAN_CHEAPER_PURCHASE_' || b.BuildingType, 'Amount', 10 
    FROM Buildings b LEFT JOIN BuildingReplaces br ON b.BuildingType = br.CivUniqueBuildingType WHERE b.PrereqDistrict IN ('DISTRICT_CAMPUS', 'DISTRICT_ENCAMPMENT') AND br.CivUniqueBuildingType IS NULL;
INSERT INTO TraitModifiers (TraitType, ModifierId)
    SELECT 'TRAIT_LEADER_SALADIN_ALT', 'BBG_SULTAN_CHEAPER_PURCHASE_' || b.BuildingType 
    FROM Buildings b LEFT JOIN BuildingReplaces br ON b.BuildingType = br.CivUniqueBuildingType WHERE b.PrereqDistrict IN ('DISTRICT_CAMPUS', 'DISTRICT_ENCAMPMENT') AND br.CivUniqueBuildingType IS NULL;


-- Units get +5 combat strength if they are within 1 tile of an apostle.
INSERT INTO Requirements (RequirementId, RequirementType) VALUES
     ('BBG_ADJACENT_FRIENDLY_UNIT_IS_APOSTLE_REQUIREMENT', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TYPE_MATCHES');
INSERT INTO RequirementArguments (RequirementId, Name, Value) VALUES
     ('BBG_ADJACENT_FRIENDLY_UNIT_IS_APOSTLE_REQUIREMENT', 'UnitType', 'UNIT_APOSTLE');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
     ('BBG_ADJACENT_FRIENDLY_UNIT_IS_APOSTLE_REQSET', 'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
     ('BBG_ADJACENT_FRIENDLY_UNIT_IS_APOSTLE_REQSET', 'BBG_ADJACENT_FRIENDLY_UNIT_IS_APOSTLE_REQUIREMENT'),
     ('BBG_ADJACENT_FRIENDLY_UNIT_IS_APOSTLE_REQSET', 'PLOT_UNIT_IS_APOSTLE_REQUIREMENTS');


INSERT INTO Types (Type, Kind) VALUES
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY', 'CLASS_ALL_COMBAT_UNITS');


INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY', 'LOC_BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY_NAME', 'LOC_BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY_DESC', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY', 'BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER');

INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_GIVER', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 'BBG_ADJACENT_FRIENDLY_UNIT_IS_APOSTLE_REQSET'),
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', NULL);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_GIVER', 'AbilityType', 'BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY'),    
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER', 'Amount', 5);
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
    ('TRAIT_LEADER_SALADIN_ALT', 'BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_GIVER');
INSERT INTO ModifierStrings(ModifierId, Context, Text) VALUES
    ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER', 'Preview', 'LOC_BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY_DESC');

-- INSERT INTO Modifiers(ModifierId, ModifierType) VALUES
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
-- INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES  
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER', 'Amount', 5);
-- INSERT INTO ModifierStrings(ModifierId, Context, Text) VALUES
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER', 'Preview', 'LOC_BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY_DESC');
-- INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_GIVER', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', NULL);
-- INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_GIVER', 'AbilityType', 'BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY');
-- INSERT INTO Types (Type, Kind) VALUES
--     ('BBG_SULTAN_APOSTLE_GRANT_CS_ABILITY', 'KIND_ABILITY');
-- INSERT INTO TypeTags (Type, Tag) VALUES
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY', 'CLASS_ALL_COMBAT_UNITS');
-- INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY', 'LOC_BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY_NAME', 'LOC_BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY_DESC', 1);
-- INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES
--     ('BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_ABILITY', 'BBG_SULTAN_COMBAT_ADJACENT_APOSTLE_MODIFIER');