--==================
-- Sweden
--==================
-- open air museum moved to diplo service
UPDATE Improvements SET PrereqCivic='CIVIC_DIPLOMATIC_SERVICE' WHERE ImprovementType='IMPROVEMENT_OPEN_AIR_MUSEUM';

-- +50% prod towards libraries, universities, workshops, and factories
INSERT OR IGNORE INTO TraitModifiers (TraitType, ModifierId) VALUES
    ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'NOBEL_PRIZE_UNIVERISTY_BOOST'),
    ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'NOBEL_PRIZE_LIBRARY_BOOST'),
    ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'NOBEL_PRIZE_WORKSHOP_BOOST'),
    ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'NOBEL_PRIZE_FACTORY_BOOST');
INSERT OR IGNORE INTO Modifiers (ModifierId, ModifierType) VALUES
    ('NOBEL_PRIZE_LIBRARY_BOOST', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION'),
    ('NOBEL_PRIZE_UNIVERISTY_BOOST', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION'),
    ('NOBEL_PRIZE_WORKSHOP_BOOST', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION'),
    ('NOBEL_PRIZE_FACTORY_BOOST', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION');
INSERT OR IGNORE INTO ModifierArguments (ModifierId, Name, Value) VALUES 
    ('NOBEL_PRIZE_LIBRARY_BOOST', 'BuildingType', 'BUILDING_LIBRARY'),
    ('NOBEL_PRIZE_LIBRARY_BOOST', 'Amount', '50'),
    ('NOBEL_PRIZE_UNIVERISTY_BOOST', 'BuildingType', 'BUILDING_UNIVERSITY'),
    ('NOBEL_PRIZE_UNIVERISTY_BOOST', 'Amount', '50'),
    ('NOBEL_PRIZE_WORKSHOP_BOOST', 'BuildingType', 'BUILDING_WORKSHOP'),
    ('NOBEL_PRIZE_WORKSHOP_BOOST', 'Amount', '50'),
    ('NOBEL_PRIZE_FACTORY_BOOST', 'BuildingType', 'BUILDING_FACTORY'),
    ('NOBEL_PRIZE_FACTORY_BOOST', 'Amount', '50');

-- Queens Bibliotheque can be build with other t2 gouv
DELETE FROM MutuallyExclusiveBuildings WHERE Building='BUILDING_QUEENS_BIBLIOTHEQUE' OR MutuallyExclusiveBuilding='BUILDING_QUEENS_BIBLIOTHEQUE';

-- 29/08/2021: +50% Production toward Gov plaza buildings
INSERT INTO Modifiers(ModifierId, ModifierType) VALUES
    ('BBG_SWEDEN_GOV_BUILDINGS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION');
INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
    ('BBG_SWEDEN_GOV_BUILDINGS_PRODUCTION', 'DistrictType', 'DISTRICT_GOVERNMENT'),
    ('BBG_SWEDEN_GOV_BUILDINGS_PRODUCTION', 'Amount', 50);
INSERT INTO TraitModifiers(TraitType, ModifierId) VALUES
    ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'BBG_SWEDEN_GOV_BUILDINGS_PRODUCTION');

INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_TILE_IS_DESERT_TUNDRA_SNOW', 'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('BBG_TILE_IS_DESERT_TUNDRA_SNOW', 'REQUIRES_PLOT_HAS_DESERT'),
    ('BBG_TILE_IS_DESERT_TUNDRA_SNOW', 'REQUIRES_PLOT_HAS_TUNDRA'),
    ('BBG_TILE_IS_DESERT_TUNDRA_SNOW', 'REQUIRES_PLOT_HAS_SNOW');


-- 24/04/23 extra +2 food/prod when settling non capital city on desert/toundra/snow
-- 11/09/23 Removed
-- 23/07/24 +1 at political
-- 30/03/25 Removed
-- INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId, SubjectRequirementSetId) VALUES
--     ('BBG_SWEDEN_FOODPROD_ON_DESERT_CITY_CENTER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_UTILS_PLAYER_HAS_CIVIC_POLITICAL_PHILOSOPHY_REQSET', 'BBG_DESERT_CITY_CENTER'),
--     ('BBG_SWEDEN_FOODPROD_ON_TOUNDRA_CITY_CENTER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_UTILS_PLAYER_HAS_CIVIC_POLITICAL_PHILOSOPHY_REQSET', 'BBG_SNOW_CITY_CENTER'),
--     ('BBG_SWEDEN_FOODPROD_ON_SNOW_CITY_CENTER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_UTILS_PLAYER_HAS_CIVIC_POLITICAL_PHILOSOPHY_REQSET', 'BBG_TOUNDRA_CITY_CENTER'),
--     ('BBG_SWEDEN_FOODPROD_ON_DESERT_HILLS_CITY_CENTER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_UTILS_PLAYER_HAS_CIVIC_POLITICAL_PHILOSOPHY_REQSET', 'BBG_DESERT_HILLS_CITY_CENTER'),
--     ('BBG_SWEDEN_FOODPROD_ON_TOUNDRA_HILLS_CITY_CENTER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_UTILS_PLAYER_HAS_CIVIC_POLITICAL_PHILOSOPHY_REQSET', 'BBG_SNOW_HILLS_CITY_CENTER'),
--     ('BBG_SWEDEN_FOODPROD_ON_SNOW_HILLS_CITY_CENTER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_UTILS_PLAYER_HAS_CIVIC_POLITICAL_PHILOSOPHY_REQSET', 'BBG_TOUNDRA_HILLS_CITY_CENTER');
-- INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
--     ('BBG_SWEDEN_FOODPROD_ON_DESERT_CITY_CENTER', 'YieldType', 'YIELD_FOOD, YIELD_PRODUCTION'),
--     ('BBG_SWEDEN_FOODPROD_ON_DESERT_CITY_CENTER', 'Amount', '1, 1'),
--     ('BBG_SWEDEN_FOODPROD_ON_TOUNDRA_CITY_CENTER', 'YieldType', 'YIELD_FOOD, YIELD_PRODUCTION'),
--     ('BBG_SWEDEN_FOODPROD_ON_TOUNDRA_CITY_CENTER', 'Amount', '1, 1'),
--     ('BBG_SWEDEN_FOODPROD_ON_SNOW_CITY_CENTER', 'YieldType', 'YIELD_FOOD, YIELD_PRODUCTION'),
--     ('BBG_SWEDEN_FOODPROD_ON_SNOW_CITY_CENTER', 'Amount', '1, 1'),
--     ('BBG_SWEDEN_FOODPROD_ON_DESERT_HILLS_CITY_CENTER', 'YieldType', 'YIELD_FOOD, YIELD_PRODUCTION'),
--     ('BBG_SWEDEN_FOODPROD_ON_DESERT_HILLS_CITY_CENTER', 'Amount', '1, 1'),
--     ('BBG_SWEDEN_FOODPROD_ON_TOUNDRA_HILLS_CITY_CENTER', 'YieldType', 'YIELD_FOOD, YIELD_PRODUCTION'),
--     ('BBG_SWEDEN_FOODPROD_ON_TOUNDRA_HILLS_CITY_CENTER', 'Amount', '1, 1'),
--     ('BBG_SWEDEN_FOODPROD_ON_SNOW_HILLS_CITY_CENTER', 'YieldType', 'YIELD_FOOD, YIELD_PRODUCTION'),
--     ('BBG_SWEDEN_FOODPROD_ON_SNOW_HILLS_CITY_CENTER', 'Amount', '1, 1');
-- INSERT INTO TraitModifiers(TraitType, ModifierId) VALUES
--     ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'BBG_SWEDEN_FOODPROD_ON_DESERT_CITY_CENTER'),
--     ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'BBG_SWEDEN_FOODPROD_ON_TOUNDRA_CITY_CENTER'),
--     ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'BBG_SWEDEN_FOODPROD_ON_SNOW_CITY_CENTER'),
--     ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'BBG_SWEDEN_FOODPROD_ON_DESERT_HILLS_CITY_CENTER'),
--     ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'BBG_SWEDEN_FOODPROD_ON_TOUNDRA_HILLS_CITY_CENTER'),
--     ('TRAIT_CIVILIZATION_NOBEL_PRIZE', 'BBG_SWEDEN_FOODPROD_ON_SNOW_HILLS_CITY_CENTER');

-- INSERT OR IGNORE INTO Requirements(RequirementId, RequirementType) VALUES
--     ('REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL','REQUIREMENT_PLOT_NEAR_CAPITAL');
-- INSERT OR IGNORE INTO RequirementArguments(RequirementId, Name, Value) VALUES
--     ('REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL', 'MinDistance', '1');

-- INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
--     ('BBG_DESERT_CITY_CENTER', 'REQUIREMENTSET_TEST_ALL'),
--     ('BBG_SNOW_CITY_CENTER', 'REQUIREMENTSET_TEST_ALL'),
--     ('BBG_TOUNDRA_CITY_CENTER', 'REQUIREMENTSET_TEST_ALL'),
--     ('BBG_DESERT_HILLS_CITY_CENTER', 'REQUIREMENTSET_TEST_ALL'),
--     ('BBG_SNOW_HILLS_CITY_CENTER', 'REQUIREMENTSET_TEST_ALL'),
--     ('BBG_TOUNDRA_HILLS_CITY_CENTER', 'REQUIREMENTSET_TEST_ALL');
-- INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
--     ('BBG_DESERT_CITY_CENTER', 'REQUIRES_PLOT_HAS_DESERT'),
--     ('BBG_DESERT_CITY_CENTER', 'BBG_REQUIRES_PLOT_IS_CITY_CENTER'),
--     ('BBG_DESERT_CITY_CENTER', 'REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL'),
--     ('BBG_SNOW_CITY_CENTER', 'REQUIRES_PLOT_HAS_SNOW'),
--     ('BBG_SNOW_CITY_CENTER', 'BBG_REQUIRES_PLOT_IS_CITY_CENTER'),
--     ('BBG_SNOW_CITY_CENTER', 'REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL'),
--     ('BBG_TOUNDRA_CITY_CENTER', 'REQUIRES_PLOT_HAS_TUNDRA'),
--     ('BBG_TOUNDRA_CITY_CENTER', 'BBG_REQUIRES_PLOT_IS_CITY_CENTER'),
--     ('BBG_TOUNDRA_CITY_CENTER', 'REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL'),
--     ('BBG_DESERT_HILLS_CITY_CENTER', 'REQUIRES_PLOT_HAS_DESERT_HILLS'),
--     ('BBG_DESERT_HILLS_CITY_CENTER', 'BBG_REQUIRES_PLOT_IS_CITY_CENTER'),
--     ('BBG_DESERT_HILLS_CITY_CENTER', 'REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL'),
--     ('BBG_SNOW_HILLS_CITY_CENTER', 'BBG_REQUIRES_PLOT_HAS_SNOW_HILLS'),
--     ('BBG_SNOW_HILLS_CITY_CENTER', 'BBG_REQUIRES_PLOT_IS_CITY_CENTER'),
--     ('BBG_SNOW_HILLS_CITY_CENTER', 'REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL'),
--     ('BBG_TOUNDRA_HILLS_CITY_CENTER', 'REQUIRES_PLOT_HAS_TUNDRA_HILLS'),
--     ('BBG_TOUNDRA_HILLS_CITY_CENTER', 'BBG_REQUIRES_PLOT_IS_CITY_CENTER'),
--     ('BBG_TOUNDRA_HILLS_CITY_CENTER', 'REQUIRES_OBJECT_1_OR_MORE_TILES_FROM_CAPITAL');
    
-- INSERT INTO Requirements (RequirementId, RequirementType, Inverse) VALUES
--     ('BBG_REQUIRES_PLOT_HAS_SNOW_HILLS', 'REQUIREMENT_PLOT_TERRAIN_TYPE_MATCHES', 0);
--     -- ('BBG_REQUIRES_CITY_IS_NOT_CAPITAL', 'REQUIREMENT_COLLECTION_COUNT_ATLEAST', 1);
-- INSERT INTO RequirementArguments (RequirementId, Name, Value) VALUES
--     ('BBG_REQUIRES_PLOT_HAS_SNOW_HILLS', 'TerrainType', 'TERRAIN_SNOW_HILLS');
--     -- ('BBG_REQUIRES_CITY_IS_NOT_CAPITAL', 'CollectionType', 'COLLECTION_PLAYER_CAPITAL_CITY'),
--     -- ('BBG_REQUIRES_CITY_IS_NOT_CAPITAL', 'Count', '1');

-- 30/03/25 favor per gp nerfed to 5 (10 normal speed)
-- 08/04 to 10
UPDATE ModifierArguments SET Value=20 WHERE ModifierId='TRAIT_GREATPERSON_FAVOR_MODIFIER';


INSERT INTO Requirements (RequirementId, RequirementType)
    SELECT 'BBG_CITY_HAS_' || BuildingType || '_REQUIREMENT', 'REQUIREMENT_CITY_HAS_BUILDING' FROM Buildings WHERE PrereqDistrict='DISTRICT_GOVERNMENT';
INSERT INTO RequirementArguments (RequirementId, Name, Value)
    SELECT 'BBG_CITY_HAS_' || BuildingType || '_REQUIREMENT', 'BuildingType', BuildingType FROM Buildings WHERE PrereqDistrict='DISTRICT_GOVERNMENT';
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_CITY_HAS_T1_BUILDING', 'REQUIREMENTSET_TEST_ANY'),
    ('BBG_CITY_HAS_T2_BUILDING', 'REQUIREMENTSET_TEST_ANY'),
    ('BBG_CITY_HAS_T3_BUILDING', 'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId)
    SELECT 'BBG_CITY_HAS_T1_BUILDING', 'BBG_CITY_HAS_' || BuildingType || '_REQUIREMENT' FROM Buildings WHERE GovernmentTierRequirement='Tier1';
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId)
    SELECT 'BBG_CITY_HAS_T2_BUILDING', 'BBG_CITY_HAS_' || BuildingType || '_REQUIREMENT' FROM Buildings WHERE GovernmentTierRequirement='Tier2';
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId)
    SELECT 'BBG_CITY_HAS_T3_BUILDING', 'BBG_CITY_HAS_' || BuildingType || '_REQUIREMENT' FROM Buildings WHERE GovernmentTierRequirement='Tier3';

-- 30/03/25 t1 plaza give 2 writers points, t2 2 artists, t3 2 musicians
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_KRISTINA_WRITERS_GIVER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', NULL),
    ('BBG_KRISTINA_WRITERS', 'MODIFIER_SINGLE_CITY_ADJUST_GREAT_PERSON_POINT', 'BBG_CITY_HAS_T1_BUILDING'),
    ('BBG_KRISTINA_ARTISTS_GIVER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', NULL),
    ('BBG_KRISTINA_ARTISTS', 'MODIFIER_SINGLE_CITY_ADJUST_GREAT_PERSON_POINT', 'BBG_CITY_HAS_T2_BUILDING'), 
    ('BBG_KRISTINA_MUSICIANS_GIVER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', NULL),
    ('BBG_KRISTINA_MUSICIANS', 'MODIFIER_SINGLE_CITY_ADJUST_GREAT_PERSON_POINT', 'BBG_CITY_HAS_T3_BUILDING');  
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_KRISTINA_WRITERS_GIVER', 'ModifierId', 'BBG_KRISTINA_WRITERS'),
    ('BBG_KRISTINA_WRITERS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER'),
    ('BBG_KRISTINA_WRITERS', 'Amount', 2),
    ('BBG_KRISTINA_ARTISTS_GIVER', 'ModifierId', 'BBG_KRISTINA_ARTISTS'),
    ('BBG_KRISTINA_ARTISTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST'),
    ('BBG_KRISTINA_ARTISTS', 'Amount', 2),
    ('BBG_KRISTINA_MUSICIANS_GIVER', 'ModifierId', 'BBG_KRISTINA_MUSICIANS'),
    ('BBG_KRISTINA_MUSICIANS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN'),
    ('BBG_KRISTINA_MUSICIANS', 'Amount', 2);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
    ('TRAIT_LEADER_BUILDING_QUEENS_BIBLIOTHEQUE', 'BBG_KRISTINA_WRITERS_GIVER'),
    ('TRAIT_LEADER_BUILDING_QUEENS_BIBLIOTHEQUE', 'BBG_KRISTINA_ARTISTS_GIVER'),
    ('TRAIT_LEADER_BUILDING_QUEENS_BIBLIOTHEQUE', 'BBG_KRISTINA_MUSICIANS_GIVER');

-- 30/03/25 queens bibli gets 6 all arts slot
DELETE FROM Building_GreatWorks WHERE BuildingType='BUILDING_QUEENS_BIBLIOTHEQUE';
INSERT INTO Building_GreatWorks (BuildingType, GreatWorkSlotType, NumSlots) VALUES
    ('BUILDING_QUEENS_BIBLIOTHEQUE', 'GREATWORKSLOT_PALACE', 6);
